/* usplash
 *
 * eft-theme.c - definition of eft theme
 *
 * Copyright © 2006 Dennis Kaarsemaker <dennis@kaarsemaker.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

/* 
 * Based on the avobe program, changed to just work.
 */

#include <usplash-theme.h>
/* Needed for the custom drawing functions */
#include <usplash_backend.h>

extern struct usplash_pixmap pixmap_usplash_image;


/* Theme definition */
struct usplash_theme usplash_theme = {
	.version = THEME_VERSION, /* ALWAYS set this to THEME_VERSION, 
                                 it's a compatibility check */
    .next = NULL,
    .ratio = USPLASH_4_3,

	/* Background and font */
	.pixmap = &pixmap_usplash_image,
	.font   = NULL,

//	.pixmap_x = 0,
//	.pixmap_y = 0,

	/* Palette indexes */
	.background = 0x0,
	.progressbar_background = 35,
	.progressbar_foreground = 125,
	.text_background = 26,
	.text_foreground = 240,
	.text_success = 245,
	.text_failure = 100,

	/* Progress bar position and size in pixels */
  	.progressbar_x      = 292, /* 800/2-216/2 */
  	.progressbar_y      = 400,
  	.progressbar_width  = 216,
  	.progressbar_height = 8,

	/* Text box position and size in pixels */
 	.text_x      = 0,
  	.text_y      = 0,
  	.text_width  = 0,
  	.text_height = 0,

	/* Text details */
  	.line_height  = 0,
  	.line_length  = 0,
  	.status_width = 0,

    /* Functions */
    .init = NULL,
    .clear_progressbar = NULL,
    .draw_progressbar = NULL,
    .animate_step = NULL,
};

