#!/bin/bash

function error {
	echo -e '\033[01;31m'$*'\033[00m' 1>&2
}

function message {
	echo -e '\033[01;34m'$*'\033[00m'
}

function message_ok {
	echo -e '\033[01;35m'$*'\033[00m'
}

# get $1 file from any of the $2 (; separated) args. Echoes the first ocurence.
function get_file {
	if [ -z "$2" ]; then
		error "get_file requires at least 2 arguments: <file> <path1;path2;morepathss> [--critical]"
		exit 1
	fi
	ok=''
	if ( echo $1 | grep "^/" > /dev/null ) && [ -e "$1" ]; then
		echo $1
		ok='1'
	else
		for path in $( echo $2 | sed "s/;/ /" );do
			#error "${path}/$1"
			if [ -e "${path}/$1" ]; then
				echo "${path}/$1"
				return 0
			fi
		done
	fi
	if [ -z "$ok" -a "$3" == "--critical" ]; then
		error "File $1 not found at '$2' Please check your config"
		exit 1
	fi
	return $ok
}
