mkdir initrd
pushd initrd > /dev/null

ERROR_CODE=0
message "Prepare initrd... (${FILEPACKAGES_INITRD})"

. cp_packages.sh ${FILEPACKAGES_INITRD}

if [ $? != "0" ] ; then
	error "Error preparing initrd"
	ERROR_CODE=2
fi

if [ "$ERROR_CODE" != '0' ];then
	exit $ERROR_CODE
fi

#depmod -a -b . ${KERNEL_VERSION}

mkdir -p dev
mkdir -p etc
mkdir -p proc
mkdir -p sys
mkdir -p tmp
mkdir -p target
mkdir -p cdrom
mkdir -p run

popd > /dev/null

echo -n "initrd uncompressed size: "
du -ch | tail -1

if [ $INITRD_TYPE == cramfs ]; then
	fakeroot /usr/sbin/mkcramfs  initrd/ initrd.gz >/dev/null
else
	cd initrd
	find . | cpio -H newc -o | gzip -9 > ../initrd.gz
	cd ..
fi

if [ "$?" != "0" ]; then
	error "Compressing initrd"
	exit 3
fi

echo -n "initrd compressed size: "
du -h initrd.gz


message_ok "Initrd ready"
